using Markdown

cd(dirname(@__FILE__))

cd("src/notebooks/") do
    contents =
        map(readdir() |> filter(!=(".gitignore")) |> filter(!=("index.html"))) do file
            "- [`$file`]($file)"
        end |> (v -> join(v, '\n'))
    index_content = Markdown.parse("""
    # notebooks
    $(contents)
    """)
    open("index.html", "w") do f
        show(f, MIME"text/html"(), index_content)
    end
end
